## Companion code to
# Notes on the creation and manipulation of solution models
## R. Myhill and J.A.D. Connolly

The python scripts contained in this directory accompany the paper
published by Myhill and Connolly (2021). There are extensive comments
in each of the scripts, so it is hoped that by reading these in tandem
with the original paper, the reader will get a feel for how to use the
code for their own purposes.

The scripts contained in this directory are as follows:

create_FMS_pyroxene_ordering_figure.py
--------------------------------------
Creates the figure that presents the energetics of ordering in three
different (Fe,Mg)(Fe,Mg)Si2O6-pyroxene solutions.

create_polytope_paper_tables.py
-------------------------------
Creates the tables presented in Myhill and Connolly (2021).

example_solution_creation_and_manipulation.py
---------------------------------------------
Presents an extended set of examples for the creation
and manipulation of solid solutions.
